CrossReferenceResolutionException (BioJava-1.5-beta API)
Keywords: org.biojavax.CrossReferenceResolutionException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax
Class CrossReferenceResolutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojavax.CrossReferenceResolutionException

All Implemented Interfaces:
  Serializable

    public class CrossReferenceResolutionException

extends Exception

An exception that indicates that an attempt to resolve a `CrossRef` has failed.

Since:
  1.5
Author:
  Mark Schreiber
See Also:
  Serialized Form

Constructor Summary
`CrossReferenceResolutionException()` Creates a new instance of CrossReferenceResolutionException
`CrossReferenceResolutionException(String message)` Creates a new instance of CrossReferenceResolutionException with a message.
`CrossReferenceResolutionException(String message, Throwable cause)` Creates a new instance of CrossReferenceResolutionException with a message and a cause.
`CrossReferenceResolutionException(Throwable cause)` Creates a new instance of CrossReferenceResolutionException with a cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CrossReferenceResolutionException

    public CrossReferenceResolutionException()

  Creates a new instance of CrossReferenceResolutionException

### CrossReferenceResolutionException

    public CrossReferenceResolutionException(String message)

  Creates a new instance of CrossReferenceResolutionException with a message.

  Parameters:
    `message` - a description or reason for the exception.

### CrossReferenceResolutionException

    public CrossReferenceResolutionException(String message,
                                             Throwable cause)

  Creates a new instance of CrossReferenceResolutionException with a message and a cause.

  Parameters:
    `message` - a description or reason for the exception.
    `cause` - the exception that caused this one.

### CrossReferenceResolutionException

    public CrossReferenceResolutionException(Throwable cause)

  Creates a new instance of CrossReferenceResolutionException with a cause.

  Parameters:
    `cause` - the exception that caused this one.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD